/*
  This code was created by Payk using the tutorial
  which can be found at: http://tfc.duke.free.fr/coding/md2-specs-en.html
  It was higly optimzed for libnds to work at 60FPS.
  Please do not remove this credit or claim that it was your code.
*/

MD2Entity Models[MD2_Count];
bool ModelEnable[MD2_Count];

//Functions
void RenderMD2Model (int n,int num){	
	extern v16 anormtable16[162][3];
 
	int i, j,stnum,vertnum;
	//MD2Entity mod=Models[num];
	if ( (n < 0) || (n > Models[num].header.num_frames - 1))n=Models[num].header.num_frames - 1;
	if(ModelEnable[num]==false)return;
	
	nds_vertex_t* vert=Models[num].frms[n].verts;
		glBegin (GL_TRIANGLES);		
			for (i = 0; i < Models[num].header.num_tris; ++i){
				for (j = 0; j < 3; ++j){	
					stnum=Models[num].tris[i].st[j];
					vertnum=Models[num].tris[i].vertex[j];
					
					glNormal(NORMAL_PACK(anormtable16[vert[vertnum].normalindex][0], anormtable16[vert[vertnum].normalindex][1], anormtable16[vert[vertnum].normalindex][2]));
					
					glTexCoord2t16 (Models[num].uvs[stnum].s, Models[num].uvs[stnum].t);
					glVertex3v16 (vert[vertnum].v[0],vert[vertnum].v[1], vert[vertnum].v[2]);     
				}
			}
		glEnd ();
}
